
package com.reactlibrary;


import android.widget.Toast; 
import android.os.Build.VERSION; 
import com.facebook.react.bridge.ReactApplicationContext;
import com.facebook.react.bridge.ReactContextBaseJavaModule;
import com.facebook.react.bridge.ReactMethod;
import com.facebook.react.bridge.Callback;
import android.app.AlertDialog;  
public class RNAlizaModule extends ReactContextBaseJavaModule {

  private final ReactApplicationContext reactContext;
   

  public RNAlizaModule(ReactApplicationContext reactContext) {
    super(reactContext);
    this.reactContext = reactContext;
  }

  @Override
  public String getName() {
    return "RNAliza";
  }

    

 @ReactMethod
  public void show(String message, int duration) {
    Toast.makeText(getReactApplicationContext(), message, duration).show();
  }     
@ReactMethod

 public void getDuration(Callback successful){
    Toast namer = new Toast(getReactApplicationContext());
    namer.setDuration(15); 
    successful.invoke(namer.getDuration());  

 }
  

}